$object = 'L1_vertebra'

@muscles = ("left_abductor_digiti_minimi_hand", "left_abductor_pollicis_brevis", "left_abductor_pollicis_longus","left_anconeus", "left_biceps_brachii","left_brachialis","left_brachioradialis","left_coracobrachialis");

@upper_arm = ("left_biceps_brachii", "left_coracobrachialis","left_brachialis","left_triceps_brachii");
@anterior_arm = ("left_flexor_carpi_ulnaris", "left_flexor_carpi_radialis","left_pronator_teres","left_flexor_digitorum_superficialis","left_flexor_digitorum_profundus","left_flexor_pollicis_longus","left_pronator_quadratus");

@posterior_arm1 = ("left_brachioradialis","left_extensor_carpi_radialis_longus","left_extensor_carpi_radialis_brevis","left_extensor_digiti_minimi","left_extensor_carpi_ulnaris","left_anconeus",);

@posterior_arm2 = ("left_supinator","left_abductor_pollicis_longus","left_extensor_pollicis_brevis","left_extensor_pollicis_longus","left_extensor_indicis");


@hand1 = ("left_palmaris_brevis","left_dorsal_interossei_I_hand","left_dorsal_interossei_II_hand","left_dorsal_interossei_III_hand","left_dorsal_interossei_IV_hand","left_palmar_interossei_I");

@hand2 = ("left_palmar_interossei_II","left_palmar_interossei_III","left_lumbrical_I_hand","left_lumbrical_II_hand","left_lumbrical_III_hand","left_lumbrical_IV_hand");


$original_folder = '/hpc_atog/bshi013/vertebra/Lumbar/vertebra/L1_images/'
$common_folder = '/hpc/bshi013/validations/common_files/'

fem def para;r;shaft_big2;$common_folder       # Declares array dimensions   
fem def coord;r;shaft;$common_folder      # Defines the coordinate system
fem def bases;r;shaft;$common_folder      # Defines tri-cubic Hermite basis functions
$data_name = 'Nervous_Cerebrum'
#$data_name = 'Nervous_Cerebellum'
#$data_name = 'Nervous_Medulla_Caudate_Nucleus'
#$data_name = 'Nervous_Amygdala'

fem def node;r;SARTORIUS
fem def elem;r;SARTORIUS

fem export node;what as what
fem export elem;what as what

fem group face allfaces external as FFFFF

fem def xi;c contact_points faces FFFFF points 6 by 6 
fem def data;c from_xi

fem export data;SARTORIUS


die



fem def data;r;$data_name
fem change data translate by -10,0,0
#fem change data rotate by 90 axis 1,0,0
#fem change data rotate by 180 axis 0,0,1
#fem change data rotate by 180 axis 0,1,0
#fem change data rotate by 180 axis 0,0,1
fem change data scale by 9,9,9
#fem change data rotate by -180 axis 0,0,1
#fem change data rotate by 90 axis 1,0,0
#fem change data rotate by 160 axis 0,1,0

fem change data rotate by -180 axis 0,0,1
fem change data rotate by -90 axis 1,0,0
#fem change data rotate by 180 axis 1,0,0
#fem change data rotate by 180 axis 0,1,0
fem def data;w;${data_name}_moved


